Summary: Matroska multimedia file utils
Name: mkvtoolnix
Version: 6.1.0
Release: %mkrel 2
Source0: http://www.bunkus.org/videotools/mkvtoolnix/sources/%{name}-%{version}.tar.xz
URL: http://www.bunkus.org/videotools/mkvtoolnix/
License: GPLv2+ and LGPLv2+
Group: Video/Editors and Converters
BuildRequires: libvorbis-devel
BuildRequires: libmatroska-devel >= 1.3.0
BuildRequires: libebml-devel >= 1.2.2
BuildRequires: wxgtku-devel >= 2.8
BuildRequires: curl-devel
BuildRequires: liblzo-devel
BuildRequires: libmagic-devel
BuildRequires: libbzip2-devel
BuildRequires: pkgconfig(flac)
BuildRequires: pkgconfig(libpcre)
BuildRequires: libexpat-devel
BuildRequires: boost-devel >= 1.46
BuildRequires: gcc-c++ >= 4.6.0
BuildRequires: multiarch-utils
BuildRequires: ruby

%description
These tools allow information about (mkvinfo) or extraction
from (mkvdemux) or creation of (mkvmerge) or the splitting of
(mkvsplit) Matroska files. Matroska is a new multimedia file
format aiming to become THE new container format for the future. You
can find more information about it and its underlying technology, the
Extensible Binary Meta Language (EBML), at http://www.matroska.org/

%prep
%setup -q

%build
%configure2_5x
./drake %_smp_mflags

%install
./drake install DESTDIR=%buildroot
%find_lang %name

%files -f %name.lang
%doc README TODO ChangeLog* COPYING
%_bindir/*
%_datadir/applications/mkvinfo.desktop
%_datadir/applications/mkvmergeGUI.desktop
%_datadir/icons/hicolor/*/apps/*.*
%_datadir/mime/packages/%name.xml
%_mandir/man1/*
%lang(ja) %_mandir/ja/man1/*
%lang(nl) %_mandir/nl/man1/*
%lang(uk) %_mandir/uk/man1/*
%lang(zh_CN) %_mandir/zh_CN/man1/*


%changelog

* Thu Apr 11 2013 malo <malo> 6.1.0-2.mga3
+ Revision: 409495
- rebuild for boost 1.53

* Mon Mar 11 2013 zezinho <zezinho> 6.1.0-1.mga3
+ Revision: 402107
- new version

* Thu Feb 21 2013 barjac <barjac> 5.9.0-4.mga3
+ Revision: 399796
- remove un-needed line in %%files causing listed twice warning

* Sat Jan 12 2013 umeabot <umeabot> 5.9.0-3.mga3
+ Revision: 360142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 5.9.0-2.mga3
+ Revision: 333052
- rebuild for new boost

* Thu Dec 13 2012 zezinho <zezinho> 5.9.0-1.mga3
+ Revision: 330455
- new version

* Tue Nov 27 2012 zezinho <zezinho> 5.8.0-2.mga3
+ Revision: 322429
- fix rpm group

* Mon Sep 03 2012 fwang <fwang> 5.8.0-1.mga3
+ Revision: 287483
- new version 5.8.0

* Wed Aug 01 2012 fwang <fwang> 5.7.0-2.mga3
+ Revision: 277166
- rebuild for new boost

* Wed Jul 11 2012 fwang <fwang> 5.7.0-1.mga3
+ Revision: 269373
- new version 5.7.0

* Thu May 31 2012 fwang <fwang> 5.6.0-1.mga3
+ Revision: 252096
- new version 5.6.0

* Wed May 30 2012 fwang <fwang> 5.3.0-2.mga3
+ Revision: 250108
- rebuild for new boost

* Sun Feb 19 2012 luigiwalser <luigiwalser> 5.3.0-1.mga2
+ Revision: 210690
- fix BuildRequires
- 5.3.0

* Sun Jan 08 2012 zezinho <zezinho> 5.2.1-1.mga2
+ Revision: 193487
- add uk manpages
- new version

* Tue Dec 06 2011 fwang <fwang> 5.1.0-1.mga2
+ Revision: 177245
- br curl
- new version 5.1.00

* Mon Nov 28 2011 fwang <fwang> 5.0.1-2.mga2
+ Revision: 173613
- rebuild for new boost

* Sun Oct 30 2011 supp <supp> 5.0.1-1.mga2
+ Revision: 160143
- update to 5.0.1

* Mon Sep 26 2011 fwang <fwang> 5.0.0-1.mga2
+ Revision: 148438
- new version 5.0.0
- rebuild for new boost

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Mon Jul 18 2011 ahmad <ahmad> 4.9.1-1.mga2
+ Revision: 125777
- Update to 4.9.1
- Covert BR to pkgconfig style (when possible)

* Wed Jun 22 2011 fwang <fwang> 4.8.0-2.mga2
+ Revision: 111916
- rebuild for new boost

* Thu Jun 09 2011 ahmad <ahmad> 4.8.0-1.mga2
+ Revision: 102064
- Update to 4.8.0
- Drop BR qt4-devel (it was wrongly added in a previous commit)
- Disable BR libmatroska-devel, according to the upstream changelog:
  "For the time being the build system will always build and link statically
   against the internal versions of libEBML and libMatroska."

* Wed Apr 13 2011 ahmad <ahmad> 4.6.0-1.mga1
+ Revision: 84066
- update to 4.6.0

* Wed Feb 02 2011 dmorgan <dmorgan> 4.5.0-1.mga1
+ Revision: 46440
- New version

* Wed Jan 26 2011 ahmad <ahmad> 4.4.0-2.mga1
+ Revision: 39846
- drop old/unneeded scriptlets
- imported package mkvtoolnix


* Tue Nov 02 2010 Götz Waschk <waschk@mandriva.org> 4.4.0-1mdv2011.0
+ Revision: 591911
- update to new version 4.4.0

* Sun Sep 05 2010 Götz Waschk <waschk@mandriva.org> 4.3.0-1mdv2011.0
+ Revision: 576128
- new version
- build with ruby's drake instead of make

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 4.2.0-3mdv2011.0
+ Revision: 572638
- rebuild

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 4.2.0-2mdv2011.0
+ Revision: 566030
- rebuild for new boost

* Wed Jul 28 2010 Götz Waschk <waschk@mandriva.org> 4.2.0-1mdv2011.0
+ Revision: 562786
- new version

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 4.1.1-1mdv2011.0
+ Revision: 550534
- new version
- bump libmatroska dep
- use upstream icons and desktop entry
- update file list

* Thu Mar 25 2010 Götz Waschk <waschk@mandriva.org> 3.3.0-1mdv2010.1
+ Revision: 527348
- update to new version 3.3.0
- bump wxgtk dep

* Sat Feb 13 2010 Götz Waschk <waschk@mandriva.org> 3.2.0-1mdv2010.1
+ Revision: 505372
- new version
- add Chinese man pages

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 3.1.0-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 3.1.0-2mdv2010.1
+ Revision: 500092
- rebuild for new boost

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 3.1.0-1mdv2010.1
+ Revision: 494008
- bump boost dep
- disable qt build which was enabled by accident
- update build deps
- new version
- add japanese man pages

* Sun Dec 13 2009 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2010.1
+ Revision: 478108
- update to new version 3.0.0

* Thu Nov 26 2009 Götz Waschk <waschk@mandriva.org> 2.9.9-1mdv2010.1
+ Revision: 470311
- update to new version 2.9.9

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 2.9.8-2mdv2010.0
+ Revision: 418869
- rebuild for new libboost

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 2.9.8-1mdv2010.0
+ Revision: 416276
- update to new version 2.9.8

* Thu Jul 02 2009 Götz Waschk <waschk@mandriva.org> 2.9.7-1mdv2010.0
+ Revision: 391839
- new version

* Sun Jun 07 2009 Götz Waschk <waschk@mandriva.org> 2.9.5-1mdv2010.0
+ Revision: 383754
- update to new version 2.9.5

* Mon Jun 01 2009 Götz Waschk <waschk@mandriva.org> 2.9.0-1mdv2010.0
+ Revision: 381982
- update to new version 2.9.0

* Sat May 09 2009 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdv2010.0
+ Revision: 373843
- update to new version 2.8.0

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 2.7.0-1mdv2010.0
+ Revision: 368990
- new version
- bump boost dep

* Sun Mar 08 2009 Götz Waschk <waschk@mandriva.org> 2.5.3-1mdv2009.1
+ Revision: 352896
- update to new version 2.5.3

* Sat Feb 28 2009 Götz Waschk <waschk@mandriva.org> 2.5.2-1mdv2009.1
+ Revision: 346178
- update to new version 2.5.2
- reenable werror flag

* Mon Feb 23 2009 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2009.1
+ Revision: 344042
- new version
- disable format string werror
- update file list

* Sun Jan 18 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2009.1
+ Revision: 330984
- new version
- drop patch

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 2.4.1-2mdv2009.1
+ Revision: 316869
- rebuild for new boost

* Sun Dec 07 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2009.1
+ Revision: 311572
- new version
- fix build

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2009.1
+ Revision: 293110
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2009.0
+ Revision: 282822
- new version
- update license
- update build deps

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 2.2.0-3mdv2009.0
+ Revision: 252598
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 180145
- new version

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 148264
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 19 2007 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdv2008.0
+ Revision: 67039
- new version


* Wed Feb 21 2007 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.0
+ Revision: 123804
- new version
- bump deps

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.1
+ Revision: 108365
- new version
- fix build

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.8.1-3mdv2007.1
+ Revision: 100701
- rebuild

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 1.8.1-2mdv2007.1
+ Revision: 89574
- rebuild for new flac

* Sun Nov 26 2006 Götz Waschk <waschk@mandriva.org> 1.8.1-1mdv2007.1
+ Revision: 87328
- new version

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2007.1
+ Revision: 81059
- fix buildrequires
- new version

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 1.7.0-4mdv2007.1
+ Revision: 65873
- fix buildrequires
- Import mkvtoolnix

* Wed Oct 18 2006 Gtz Waschk <waschk@mandriva.org> 1.7.0-3mdv2007.1
- drop useless patch

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 1.7.0-2mdv2007.0
- xdg menu

* Sun Apr 30 2006 Gtz Waschk <waschk@mandriva.org> 1.7.0-1mdk
- update buildrequires
- New release 1.7.0

* Wed Dec 07 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-1mdk
- rediff the patch
- New release 1.6.5

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-3mdk
- merge patches
- wxGTK unicode build

* Sat Oct 22 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-2mdk
- Rebuild

* Sat Oct 15 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdk
- New release 1.6.0

* Thu Sep 08 2005 Gtz Waschk <waschk@mandriva.org> 1.5.6-1mdk
- drop patch 0
- New release 1.5.6

* Mon Aug 22 2005 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdk
- New release 1.5.5

* Sat Jul 02 2005 Gtz Waschk <waschk@mandriva.org> 1.5.0-1mdk
- New release 1.5.0

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 1.4.2-4mdk
- patch 2 to build with new liblzo

* Thu Jun 02 2005 Gtz Waschk <waschk@mandriva.org> 1.4.2-3mdk
- patch 1 to work around broken wx-config alternative
- mkrel
- rebuild for new lzo

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 1.4.2-2mdk
- add the help file
- rebuild for new wxGTK

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- New release 1.4.2

* Tue Mar 15 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- New release 1.4.1

* Sat Feb 26 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- New release 1.4.0

* Mon Feb 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- requires new matroska
- New release 1.0.2

* Tue Dec 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Wed Nov 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- new version
- requires new libmatroska

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- requires new matroska
- New release 0.9.5

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-2mdk
- rebuild for new flac

* Mon Jul 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- requires new matroska
- New release 0.9.4

* Mon Jul 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- buildrequires flac
- New release 0.9.3

* Thu Jul 01 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- New release 0.9.2

* Mon Jun 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- New release 0.9.1

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- rebuild for new g++

* Wed Jun 02 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Sat May 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.9-1mdk
- build with wxGTK 2.5
- add source URL
- new version

* Sat Apr 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- requires new libmatroska
- new version

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6-1mdk
- requires new ebml
- new version

* Mon Feb 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- new version

